from .common import (
    A0,
    A1,
    A2,
    A3,
    A4,
    A5,
    A6,
    A7,
    A8,
    RGB,
    XY,
    A0_landscape,
    A1_landscape,
    A2_landscape,
    A3_landscape,
    A4_landscape,
    A5_landscape,
    A6_landscape,
    A7_landscape,
    A8_landscape,
    black,
    blue,
    cm,
    cyan,
    inch,
    ledger,
    legal,
    legal_landscape,
    letter,
    letter_landscape,
    lime,
    magenta,
    mm,
    pc,
    pt,
    red,
    tabloid,
    tabloid_landscape,
    yellow,
)
from .document import AutoPage, Document, Page, Rule
from .draw import Circle, Drawing, Ellipse, Line, Polyline, Rect
from .fonts.builtins import (
    courier,
    helvetica,
    symbol,
    times_roman,
    zapf_dingbats,
)
from .fonts.common import BuiltinTypeface, TrueType, Typeface
from .layout import Block, Column
from .style import Style, StyleLike, bold, italic, regular
from .text import Paragraph, Span, Text

__version__ = __import__("importlib.metadata").metadata.version(__name__)

__all__ = [
    # document & pages
    "Document",
    "Page",
    "AutoPage",
    # style & blocks
    "Column",
    "Block",
    "Rule",
    "Paragraph",
    "Span",
    "Style",
    "StyleLike",
    # drawing
    "Drawing",
    "Text",
    "Rect",
    "Ellipse",
    "Circle",
    "Line",
    "Polyline",
    # helpers
    "red",
    "lime",
    "blue",
    "black",
    "yellow",
    "magenta",
    "cyan",
    "bold",
    "italic",
    "regular",
    # common
    "RGB",
    "XY",
    "inch",
    "pc",
    "cm",
    "mm",
    "pt",
    # fonts
    "Typeface",
    "TrueType",
    "BuiltinTypeface",
    "helvetica",
    "symbol",
    "courier",
    "times_roman",
    "zapf_dingbats",
    # page sizes
    "A0",
    "A1",
    "A2",
    "A3",
    "A4",
    "A5",
    "A6",
    "A7",
    "A8",
    "A0_landscape",
    "A1_landscape",
    "A2_landscape",
    "A3_landscape",
    "A4_landscape",
    "A5_landscape",
    "A6_landscape",
    "A7_landscape",
    "A8_landscape",
    "letter",
    "letter_landscape",
    "legal",
    "legal_landscape",
    "tabloid",
    "ledger",
    "tabloid_landscape",
]
